<?php
// @codingStandardsIgnoreStart

// Определяем каталог для версии 

$intVersion = intval(preg_replace('/[^0-9]/', '', VERSION));
if($intVersion >= 2200){
	
	// Создаем права для редактирования модуля
	$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "user_group WHERE user_group_id = '1'");
	$permission = json_decode($query->row['permission'], true);

	$permission['access'][] = "module/roistat";
	$permission['access'][] = "extension/module/roistat";

	$permission['modify'][] = "module/roistat";
	$permission['modify'][] = "extension/module/roistat";

	$permission = json_encode($permission);

	$this->db->query("UPDATE `" . DB_PREFIX . "user_group` SET `permission` = '{$permission}' WHERE user_group_id = '1'");
	
	
	// Проверяем, есть ли русский язык на сайте
	// В противном случае, отправляем в english
	if(is_dir($_SERVER["DOCUMENT_ROOT"] . '/catalog/language/ru-ru')){
		$language = "ru-ru";
	}else{
		$language = "en-gb";
	}
	
}else{
	// Проверяем, есть ли русский язык...
	if(is_dir($_SERVER["DOCUMENT_ROOT"] . '/catalog/language/russian')){
		$language = "russian";
	}else{
		$language = "english";
	}
}


// Файл перевода модуля в каталоге
if(!file_exists($_SERVER["DOCUMENT_ROOT"] . '/catalog/language/'.$language.'/module/roistat.php')){
	
	$catalogLangDir = $_SERVER["DOCUMENT_ROOT"] . '/catalog/language/'.$language.'/module';

	$content = '<?php

	// Entry
	$_["entry_shipping_method"] = "Способ доставки";
	$_["entry_payment_method"]  = "Способ оплаты";
	$_["entry_order_id"]        = "Заказ №";
	$_["entry_store"]           = "Магазин";
	$_["text_affiliate"]        = "Партнер";

	// Text
	$_["text_edit_visit_success"] = "Номер визита был обновлён";
	$_["text_edit_visit_error"] = "Ошибка при обновлении номера визита";';

	
	if(!is_dir($catalogLangDir)){
		mkdir($catalogLangDir, 0700, true);
	}
	file_put_contents($catalogLangDir . '/roistat.php', $content);
	chmod($catalogLangDir . '/roistat.php', 0600);
}
// Файл перевода модуля в админке
if(!file_exists($_SERVER["DOCUMENT_ROOT"] . '/admin/language/'.$language.'/module/roistat.php')){
	
	$adminLangDir = $_SERVER["DOCUMENT_ROOT"] . '/admin/language/'.$language.'/module';
	
	$content = '<?php
	// Heading
	$_["heading_title"]    = "Интеграция с Ройстат";

	// Text
	$_["text_module"]      = "Модули";
	$_["text_success"]     = "Настройки модуля обновлены!";
	$_["text_edit"]        = "Редактирование модуля";

	// Entry
	$_["entry_username"]   = "Имя пользователя";
	$_["entry_password"]   = "Пароль";

	// Error
	$_["error_project_id"] = "Необходимо указать номер проекта!";';

	if(!is_dir($adminLangDir)){
		mkdir($adminLangDir, 0700, true);
	}
	file_put_contents($adminLangDir . '/roistat.php', $content);
	chmod($adminLangDir . '/roistat.php', 0600);
}



// Создаем поле roistat_visit

$column = $this->db->query("SHOW COLUMNS FROM `" . DB_PREFIX . "order` LIKE 'roistat_visit'");
if(!array_key_exists("Field", $column->row)){
	$this->db->query("ALTER TABLE `" . DB_PREFIX . "order` ADD `roistat_visit` varchar(120) COLLATE 'utf8_general_ci' NOT NULL DEFAULT '', COMMENT='';");
}
// @codingStandardsIgnoreEnd